Subject: Re: The 8th airing of the msysGit herald

From: Jakub Narebski <[email-masked]>
Date: Sun, 02 Mar 2008 16:44:58 -0800 (PST)

Johannes Schindelin <[email-masked]> writes:

> > 4) What do you hate most in Git? 
> 
> The command line options. Sometimes it seems to me all the really cool 
> actions in git can only be invoked by a mysterious collection of weird 
> option switches which 1. I've never heard of, 2. are hidden deep down 
> in long manual pages which make it impossible to distinguish important 
> options from the unimportant ones, and 3. change very frequently in 
> new versions. For example, "git rebase -i" is a nice feature, but it 
> is simply a different action than a one-shot "git rebase". Hence, if 
> it is supposed to be really used, it should rather be a command such 
> as "git interactive-rebase". The GUI tools go a long way to hide those 
> mysterious option collections, but some of the daily workflow steps 
> are still unavailable in the GUI. Rebase being the most prominent, I 
> guess. 

It is not that much different. The basis operation is the same;
I don't think that "rebase -i" differs from "rebase" more than
"add -i" differs from "add".

> > 6) What was the most frustrating moment when working with Git? 
> 
> Finding that "git pull" will create many more merge commits than I 
> wanted, and that there doesn't seem to be an easy way of running "git 
> fetch; git rebase" in one command.

"git pull --rebase", but it is quite new feature.

-- 
Jakub Narebski
Poland
ShadeHawk on #git